"use client";

import React from "react";
import dynamic from "next/dynamic";
import HeaderPC from "./headerPC";
import HeaderMobile from "./headerMobile";

const Header: React.FC = () => {
  const MediaQuery = dynamic(() => import("react-responsive"), {
    ssr: false,
  });
  return (
    <>
      <MediaQuery maxWidth={767}>
        <HeaderMobile />
      </MediaQuery>
      <MediaQuery minWidth={768}>
        <HeaderPC />
      </MediaQuery>
    </>
  );
};

export default Header;
