"use client";

import React, { useState } from "react";
import Link from "next/link";
import Image from "next/image";
import styles from "./nav.module.css";

const NavMobile: React.FC = () => {
  const [showMenu, setShowMenu] = useState("");
  return (
    <>
      <div className={styles["nav-fixed"]}>
        <div
          className={styles.header}
          onClick={() => {
            if (showMenu == "" || showMenu == "hide") {
              setShowMenu("show");
            } else {
              setShowMenu("hide");
            }
          }}
        >
          <div className={styles.logo}>HIPO 高潜</div>
          <img src="/asset/ic_menu_dark.png" className={styles.menu} />
        </div>
        <div className={styles["nav-line"]} />
        <div className={showMenu === "show" ? styles.show : styles.hide}>
          <div className={styles["nav-sub"]}>
            <a href="/">
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                首页
              </div>
            </a>
            <a href="/about">
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                关于我们
              </div>
            </a>
            <a href="/#service">
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                业务介绍
              </div>
            </a>
            <a href="/#consultant">
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                顾问介绍
              </div>
            </a>
            <a href="/caseList">
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                经典案例
              </div>
            </a>
            <a href="/contactUs">
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                联系我们
              </div>
            </a>
            <a href={"https://hi-po.com.cn/user/login"}>
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                登录
              </div>
            </a>
            <a href={"https://hi-po.com.cn/user/register"}>
              <div
                className={styles.item}
                onClick={() => {
                  setShowMenu("hide");
                }}
              >
                注册
              </div>
            </a>
          </div>
        </div>
      </div>
    </>
  );
};

export default NavMobile;
